<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_admin!=1) die('Nedozvoljen pristup!');

// list expected fields
$expected = array('q_insert_opis','q_domena','q_stylesheet_dodaj','q_stylesheet_init','q_upload_direktorij',
				  'q_slike_direktorij','q_tekst_direktorij','q_inc_model','q_inc_naslov','q_inc_opis',
				  'q_inc_tekst','q_inc_maxpic','q_inc_thumb_sirina','q_inc_thumb_visina','q_inc_big_sirina','q_inc_big_visina',
				  'q_dontdel_kategorija','q_dontdel_stranice','q_dontdel_paragraf');
// set required fields
$required = array('q_insert_opis','q_domena','q_stylesheet_dodaj','q_stylesheet_init','q_upload_direktorij',
				  'q_slike_direktorij','q_tekst_direktorij','q_inc_model',
				  'q_inc_maxpic','q_inc_thumb_sirina','q_inc_thumb_visina','q_inc_big_sirina',
				  'q_inc_big_visina','q_dontdel_kategorija','q_dontdel_stranice','q_dontdel_paragraf');
// create empty array for any missing fields
$missing = array();

// process the $_POST variables
foreach ($_POST as $key => $value) {
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);
	// if empty and required, add to $missing array
	if (empty($temp) && in_array($key, $required)) {
		array_push($missing, $key);
	}
	// otherwise, assign to a variable of the same name as $key
	elseif (in_array($key, $expected)) {
		${$key} = mysql_real_escape_string($temp);
		//${$key} = $temp;
	}
}
$error='';
$uspjeh='';

if (empty($missing))  {		
	
	$sql="select id,opis from b7_varijable order by id asc";
	$rez = mysql_query($sql, $conn);
	while ($row = mysql_fetch_array($rez)) {
				
		$id=$row['id'];
		$ime_var='q_'.$row['opis'];
		
		$vrijednost=$$ime_var;
		$result = mysql_query("update  b7_varijable set vrijednost='$vrijednost' where id='$id'");
		
		if (!$result) {
			$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();
		}
		
	}	
} else {
	$error.='U formi nisu ispunjena sva potrebna polja za unos podataka u bazu!';
}
?>
<div id="main_content">
<h1>Spremanje podataka u bazu</h1>
<?php
if (empty($error)) $uspjeh ='Uspješno spremljene vrijednosti varijabli u bazu!';
if ($error) echo '<div class="greska">'.$error.'</div>'."\n";
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>'."\n";
?>
<br />
<br />
<a class="gray_normal toggleopacity" href="glavna.php?modul=site_admin"><img src="slike/action_back.gif" width="16" height="16" alt="" border="0" /> <b>Povratak</b></a>
<br />
<br />
</div>